curl --request PATCH \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "open"
}
'{
"data": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 50,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 0,
"discount_rate": 0,
"tax_amount": 0,
"tax_rate": 0.08,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": "<unknown>"
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Optional external entity identifier that performed the action
The id of the business
"biz_GA6EG2qFxA97NZHtxeLPUy"
The id of the invoice
"inv_WQMDNUHpBThYSNh4AprDBo"
The new status of the invoice
open, paid, uncollectible, voided, refunded, partially_refunded "open"
"paid"
"uncollectible"
"voided"
"refunded"
"partially_refunded"
Successful Response
Show child attributes
curl --request PATCH \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice/{invoice_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "open"
}
'{
"data": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 50,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 0,
"discount_rate": 0,
"tax_amount": 0,
"tax_rate": 0.08,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": "<unknown>"
}
]
}
}